import type { InteractionManager } from "@pixi/interaction";
import type { Renderer } from "@pixi/core";
import type { AssetsClass } from "@pixi/assets";
import { Version650 } from "./version-650";
import { LoaderResourceResponseType } from "../compatibility-version";
export declare class Version700 extends Version650 {
    setLoaderResourceExtensionType(extension: string, type: LoaderResourceResponseType): void;
    getInteractionPlugin(renderer: Renderer): InteractionManager | undefined;
    get assets(): AssetsClass | undefined;
    isRendererDestroyed(renderer: Renderer): boolean;
    installRendererPlugin(name: string, plugin: any): void;
    installLoaderPlugin(name: string, plugin: any): void;
}
